### Hierarchy

- ControlState
  - TreeWithDetailState

## Index

### Properties

- dialog
- isFocused
- selected
- value

## Properties

### dialog

dialog: object

- Defined in tree/TreeWithDetailRenderer.tsx:163

#### Type declaration

- ##### open: boolean

- ##### path: string

- ##### schema: JsonSchema

### isFocused

isFocused: boolean

Inherited from ControlState.isFocused

Whether the control is focused.

### selected

selected: object

- Defined in tree/TreeWithDetailRenderer.tsx:158

#### Type declaration

- ##### data: any

- ##### path: string

- ##### schema: JsonSchema

### value

value: any

Inherited from ControlState.value

The current value.

Generated using TypeDoc